Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

cname
string

Purges associated with a specific resource CNAME.

Example:

  • &cname=example.com
status
string

Purge with a certain status.

Possible values:

  • In progress
  • Successful
  • Failed
  • Status report disabled
purge_type
string

Purge requests with a certain purge type.

Possible values:

  • purge_by_pattern - Purge by Pattern.
  • purge_by_url - Purge by URL.
  • purge_all - Purge All.
from_created
string

Start date and time of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Examples:

  • &from_created=2021-06-14T00:00:00Z
  • &from_created=2021-06-14T00:00:00.000Z
to_created
string

End date and time of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Examples:

  • &to_created=2021-06-15T00:00:00Z
  • &to_created=2021-06-15T00:00:00.000Z
offset
integer
default:0

Number of purge requests in the response to skip starting from the beginning of the requested period.

limit
integer
default:100

Maximum number of purges in the response.

Required range: x <= 100

Response

200 - application/json

Successful.

purge_id
integer

Purge ID.

Example:

1

status
enum<string>

Purge status.

Possible values:

  • In progress - Purge is in progress.
  • Successful - Purge was successful.
  • Failed - Purge failed.
Available options:
In progress,
Successful,
Failed
resource
object
payload
object

Purge payload depends on purge type.

Possible values:

  • urls - Purge by URL.
  • paths - Purge by Pattern and purge All.
Example:
created
string

Date and time when the purge was created (ISO 8601/RFC 3339 format, UTC).

Example:

"2021-10-29T13:21:01.550849Z"

purge_type
string

Contains the name of the purge request type.

Possible values:

  • purge_by_pattern - Purge by Pattern.
  • purge_by_url - Purge by URL.
  • purge_all - Purge All.
Example:

"purge_by_url"